import httpRequest from '@/utils/axios'
/**
 * 获取考前摸底试题
 */
export function getExamQuestion(params) {
  return httpRequest.get('/api/zy/v2/examination/examination-papers', { params }, { headers: { 'Content-Type': 'multipart/form-data' } })
}

/**
 * 缓存考前摸底试题
 */
export function setCache(params) {
  return httpRequest.post('/api/zy/v2/examination/examination-papers', params)
}

/**
 * 获取考试的状态
 */
export function getExamStatus(params) {
  return httpRequest.get('/api/zy/v2/examination/examination-papers-status', { params })
}

/**
 * 模拟考试设置角色
 */
export function setRoles(params) {
  return httpRequest.post('/api/zy/v2/examination/role', params)
}

/**
 * 获取课程列表
 */
export function getCourseList() {
  return httpRequest.get('/api/zy/v2/education/courses/list')
}

/**
 * 获取课程详情
 * @param {string} courseId 课程ID
 */
export function getCourse(courseId) {
  return httpRequest.get(`/api/zy/v2/education/courses/${courseId}`)
}

/**
 * 获取课程知识点
 * @param {string} courseId 课程ID
 */
export function getCourseTagList(courseId) {
  return httpRequest.get(`/api/zy/v2/education/tag/tree/${courseId}`)
}

/**
 * 知识点详情
 * @param {string} tagId 知识点ID
 */
export function getCourseTag(tagId) {
  return httpRequest.get(`/api/zy/v2/education/tag/${tagId}`)
}
